/*
 * Copyright (C) 1999 Toru Hoshina
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __DCHANDLE_H__
#define __DCHANDLE_H__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

// Control bytes
#define PKT_CTRL_RECV     0x01
#define PKT_CTRL_SEND     0x00
#define PKT_CTRL_EOF      0x80
#define PKT_CTRL_CANCEL   0xFF

// Kodak System Codes
#define DC_COMMAND_COMPLETE   0x00
#define DC_COMMAND_ACK        0xD1
#define DC_CORRECT_PACKET     0xD2
#define DC_COMMAND_NAK        0xE1
#define DC_ILLEGAL_PACKET     0xE3
#define DC_BUSY               0xF0

// Kodak System Commands
#define DC_SET_RESOLUTION       0x36
#define DC_SET_SPEED            0x41
#define DC_PICTURE_DOWNLOAD     0x64
#define DC_PICTURE_INFO         0x65
#define DC_PICTURE_THUMBNAIL    0x66
#define DC_SET_SOMETHING        0x75
#define DC_TAKE_PICTURE         0x7C
#define DC_ERASE                0x7A
#define DC_ERASE_IMAGE_IN_CARD  0x7B
#define DC_INITIALIZE           0x7E
#define DC_STATUS               0x7F
#define DC_SET_CAMERA_ID        0x9E

int init_dchandle();
void close_dchandle();
int set_port_speed();
int command_complete();
int read_packet(unsigned char *data_str, int length);
int send_command(unsigned char command, unsigned char arg1,
		 unsigned char arg2, unsigned char arg3, unsigned char arg4);
int send_packet( unsigned char cb, unsigned char *data, int length);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __DCHANDLE_H__ */
