/*
 * Copyright (C) 1999 Toru Hoshina
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __dialog_box_H__
#define __dialog_box_H__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define MODAL

struct entrydlg {
  gint ret_val;
  gchar *ret_str;
};

struct timerdlg {
  gint ret_val;
  gint *delay;
};

gint entry_dialog(const char *labelString,
 		  char *button1, 
 		  char *button2, 
 		  char *string
 		  );

void entry_click (GtkWidget *widget, gpointer value);

gint alert_dialog(const char *labelString,
 		  char *button1, 
 		  char *button2, 
 		  char *button3
 		  );

void dialog_click (GtkWidget *widget, gpointer value);

gint device_dialog();
gint ratio_dialog();
gint status_dialog();
gint timer_dialog(gint *delay);
void timer_click (GtkWidget *widget, gpointer value);
gint thumbnail_dialog(char *fname);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __dialog_box_H__ */
