/*
 * Copyright (C) 1999 Toru Hoshina
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>
#include <gtk/gtk.h>
#include <string.h>

#include "main.h"
#include "menu.h"
#include "filesel.h"
#include "dc210.h"
#include "lib.h"

int
file_selection_hide (GtkWidget *widget)
{
   gtk_widget_hide (fileSel);
   menus_enable_disable(TRUE);
   return TRUE;
}

void
file_selection_ok (GtkWidget *widget, GtkFileSelection *fs)
{
   int i, ret_val;
   struct pinfo_lst *plst;

   gtk_widget_hide (fileSel);

   plst = proot;
   for ( i = 0 ; i < list_selected_row && plst != NULL ; i++)
     {
	plst = plst->next;
     }

   ret_val = get_picture(i + 1, plst,
	     gtk_file_selection_get_filename (GTK_FILE_SELECTION (fs)));

   if (ret_val == -1)
     {
	initialized = 0;
	gtk_widget_set_sensitive(GTK_WIDGET(listbutton), TRUE);
	menus_set_sensitive("<Main>/File/Get Status...", TRUE);
     } 

   menus_enable_disable(TRUE);

   return;
}

void
dir_selection_ok (GtkWidget*widget, GtkFileSelection *fs)
{
   char *p;

   gtk_widget_hide (fileSel);

   strcpy(dir_str, gtk_file_selection_get_filename (GTK_FILE_SELECTION (fs)));
   p = strrchr(dir_str, '/');
   if (p != NULL)
     {
	*(p+1) = '\0';
     }
   gtk_label_set (GTK_LABEL (curdir), (gchar *)dir_str);
}

void
file_selection(gint mode)
{

   if (fileSel == NULL)
     {
	fileSel = gtk_file_selection_new ("Save Image");

	gtk_window_position (GTK_WINDOW (fileSel), GTK_WIN_POS_MOUSE);

	gtk_signal_connect_object (GTK_OBJECT (GTK_FILE_SELECTION (fileSel)->cancel_button),
				   "clicked",
				   GTK_SIGNAL_FUNC (file_selection_hide),
				   GTK_OBJECT (fileSel));
	gtk_signal_connect (GTK_OBJECT (fileSel),
			    "delete_event",
			    GTK_SIGNAL_FUNC (file_selection_hide),
			    NULL);
	gtk_signal_connect (GTK_OBJECT (fileSel), "destroy",
			    GTK_SIGNAL_FUNC(gtk_widget_destroyed),
			    &fileSel);

     }
   else
     {
	gtk_widget_set_sensitive (GTK_WIDGET (fileSel), TRUE);
     }

   gtk_file_selection_set_filename (GTK_FILE_SELECTION(fileSel), dir_str);

   if (mode == 0)
     {
	gtk_signal_connect (GTK_OBJECT (GTK_FILE_SELECTION (fileSel)->ok_button),
			    "clicked", GTK_SIGNAL_FUNC(file_selection_ok),
			    fileSel);
     }
   else
     {
	gtk_signal_connect (GTK_OBJECT (GTK_FILE_SELECTION (fileSel)->ok_button),
			    "clicked", GTK_SIGNAL_FUNC(dir_selection_ok),
			    fileSel);
     }
      
   if (GTK_WIDGET_VISIBLE (fileSel))
     return;

   gtk_widget_show (fileSel);
}
