/*
 * Copyright (C) 1999 Toru Hoshina
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __LIB_H__
#define __LIB_H__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define iseuc(c) ((c) >= 0xa1 && (c) <= 0xfe)

#define ACCEPTABLE(a)	( a>=32 && a<128 && ((isAcceptable[a-32]) & 1))
#define HEX_ESCAPE '%'

#ifndef TOASCII
#define TOASCII(c) (c)
#define FROMASCII(c) (c)
#endif /* !TOASCII */

unsigned char jistojms(unsigned char c1, unsigned char c2);
void euctosjis(unsigned char *src, unsigned char *dst);
void to_escape (unsigned char *src, unsigned char *dst);
char *safe_strdup (const char *s);
void *safe_malloc (unsigned int siz);
void safe_realloc (void **p, size_t siz);
void safe_free (void **p);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __LIB_H__ */
