/*
 * Copyright (C) 1999 Toru Hoshina
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __MENU_H__
#define __MENU_H__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

void init_menu ();
void menus_create(GtkMenuEntry *entries, int nmenu_entries);
void menu_quit(GtkWidget *widget, gpointer data);
void menu_sel_device(GtkWidget *widget, gpointer data);
void menu_sel_ratio(GtkWidget *widget, gpointer data);
void menu_save_rc(GtkWidget *widget, gpointer data);
void menu_about(GtkWidget *widget, gpointer data);
void menu_view_thumb(GtkWidget *widget, gpointer data);
void menu_del_all(GtkWidget *widget, gpointer data);
void menu_del_image(GtkWidget *widget, gpointer data);
void menu_save_image(GtkWidget *widget, gpointer data);
void menu_save_as(GtkWidget *widget, gpointer data);
void menu_get_status(GtkWidget *widget, gpointer data);
void menus_set_sensitive(char *path, int sensitive);
void menu_set_cameraID(GtkWidget *widget, gpointer data);
void menu_take_picture(GtkWidget *widget, gpointer data);
void menus_enable_disable(gint flag);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __MENU_H__ */
